Support » Plugins and Hacks » [Resolved] recent Player update seems to have caused a problem

[Resolved] recent Player update seems to have caused a problem

  • I had installed the HTML5 jQuery Audio Player Pro plugin a few weeks ago, and everything was fine other than the issues with Internet Explorer mentioned here in another thread. Prior to installing the player, I had already been using Wysija Newsletters (another plugin) for e-mail. Following the recent update for the player, Wysija Newsletters stopped working. At that point, and while having no idea what was wrong, I contacted the folks at the Wysija Helpdesk…and here is the conflict that seems to have been discovered:

    You need to…make sure that only one jQuery library will be loaded – cause it’s make conflict.
    <script src=”http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js” type=”text/javascript”></script>
    <script src=”http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js” type=”text/javascript”></script>

    I eventually got Wysija Newsletters working again and I am no longer using the Google files, but then Wysija Newsletters still stopped working again right after I had re-activated the jQuery Pro player.

    Question: Is it possible the player is calling for something Wysija Newsletters cannot handle?

    I thank you,

    Joseph Lee

    Welcome to NoNameYet A.A. Chat!

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Maeve Lander


    Hi Joseph, thanks for detailed description of the problem.

    It does sounds like a jQuery conflict. In short, if your theme loads jQuery library, then other plugin/s (like this one) also load jQuery then it can cause serious grief on the site and things start breaking. The solution is for all plugin developers and WordPress theme creators to use the copy of jQuery which is included in the WordPress core or load it from Google AJAX libraries, and to consider also using the noConflict jQuery mode (this plugin does all that). If you’re having jQuery conflict problems on your site then the most likely culprit it your theme. Read this article by Chris Coyier which explains the issue in more detail and outlines how you can fix it. You might also like to check out suggestions from Eric Martin on the topic.

    If you need some help identifying the issue further, please post a link to the affected page on your site here so I can take a look and see if there’s anything obvious in the code.


    I thank you, Enigma, and please do not stumble over anything in the construction zone around the player in the lower portion of our site!

    At least in theory while knowing nothing at all about jQuery, I do understand the types and kinds of issues and conflicts present here. Hence, it is possible for me to believe Wysija Newsletters might need a bit of work to “protect itself” a bit or whatever like the HTML5 jQuery Audio Player seems able to do. However, the two got along just fine when I had a Twenty Eleven theme prior to the player’s recent update, and I could not reproduce that scenario yesterday by reverting back to Twenty Eleven to try. So, and even if the Twenty Twelve theme is not perfect, it is the player that is the culprit in this particular case.

    Did you happen to ever see the Special Olympics event where all contestants in a given competition stopped mid-course to help a fellow competitor up so they could all cross the finish line together? A bit of that might ultimately prove helpful here.

    Welcome to NoNameYet A.A. Chat!

    clarification: It is the [edit]player’s recent update[/edit] that is (or at least appears to be) the culprit in this particular case.

    This particular confict I had been having has been resolved, and many thanks for your updates related to WordPress 3.5!

    Plugin Author Maeve Lander


    Great to hear that – thanks for your help in reporting the error. 🙂

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Resolved] recent Player update seems to have caused a problem’ is closed to new replies.